Subject: Re: Search reference question

From: "Roger Harrison" <[email-masked]>
Date: Mon, 07 Feb 2000 13:44:53 -0700

Your second interpretation is correct.

I think the sticking point here is what it meant by "complete."  I believe that the authors are using the term complete to mean the entire set of entries for the given search (as opposed to the completion of a given search request). The fact that a SearchResultReference was sent by the server means that one or more entries will be missing from the set unless the client issues a new search operation for the SearchResultReference.  Thus, the search will not be complete unless a new search operation is issued for the SearchResultReference.  The client is not required to issue the new search request for each SearchResultReference, but the expected set of entries won't be complete until it does.

Roger Harrison
[email-masked]
Novell, Inc.

>>> <[email-masked]> 02/07/00 01:37PM >>>
Section 4.5.3. of RFC 2251 states:
     In order to complete the search, the client MUST issue a new search
     operation for each SearchResultReference that is returned.

Can someone help me with the interpretation.  Does this mean that if a
client receives a SearchResultReference it MUST issue a new search
operation to the referenced server?  Or rather, if the client wishes to
complete the search it MUST (really should) issue a new search operation?

Thanks,
Scott M Davidson
Iris Associates

[email-masked] 
(978) 392-5436
Five Technology Park Drive
Westford, MA  01886